Skip to main content
POST
/
co
/
rama-judicial
/
cases
/
lookup
/
v1
Rama Judicial Cases Lookup
curl --request POST \
  --url https://api.croma.run/co/rama-judicial/cases/lookup/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "registration_number": "11001600001720180327700"
}
'
{
  "data": {
    "registration_number": "<string>",
    "case_ids": [
      123
    ],
    "primary_case": {
      "id": 123,
      "connection_id": 123,
      "registration_number": "<string>",
      "start_date": "2023-12-25",
      "last_action_date": "2023-12-25",
      "court": "<string>",
      "state": "<string>",
      "parties_text": "<string>",
      "is_private": true
    },
    "actions": [
      {
        "id": 123,
        "registration_number": "<string>",
        "sequence": 123,
        "action_date": "2023-12-25",
        "action_type": "<string>",
        "note": "<string>",
        "start_date": "2023-12-25",
        "end_date": "2023-12-25",
        "registered_date": "2023-12-25",
        "has_documents": true
      }
    ],
    "pagination": {
      "total": 123,
      "page_size": 123,
      "total_pages": 123,
      "page": 123
    },
    "private_only": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.croma.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer YOUR_API_KEY

Body

application/json
registration_number
string
required

23-digit radicado (20-25 digits accepted).

Required string length: 20 - 25
Pattern: ^\d{20,25}$

Response

Successful response

data
object
required